#ifndef HELP_H
#define HELP_H

#include <QDialog>
#include <QUrl>
#include <QDebug>

namespace Ui {
class help;
}

/**The help class implements a dialog which provides the user with instructions
  on how to operate this software.
  */

class help : public QDialog
{
    Q_OBJECT
    
public:
    explicit help(QWidget *parent = 0);
    bool setLanguage(QString language);
    ~help();

private:
    /**The ui interface.*/
    Ui::help *ui;
    void closeEvent(QCloseEvent *);
};

#endif // HELP_H
