#-------------------------------------------------
#
# Project created by QtCreator 2012-04-11T15:56:05
#
#-------------------------------------------------

TEMPLATE = app
TARGET = itlogger

QT += core gui
QT += sql
QT += webkit

#CONFIG += mobility
#MOBILITY += location
#MOBILITY += systeminfo

SOURCES +=  main.cpp\
            mainwindow.cpp \
            plot.cpp \
            explorer.cpp \
            data.cpp \
            thumbnailviewer.cpp \
            mainwindow_widgets.cpp \
            map.cpp \
            exportdialog.cpp \
            help.cpp \
            about.cpp \
            importhandler.cpp \

#QWT
INCLUDEPATH += $${PWD}/qwt
LIBS += $${PWD}/lib/qwt.lib

#OSM
INCLUDEPATH += $${PWD}/location
LIBS += $${PWD}/lib/QtLocation1.lib

#SYSTEMINFO
INCLUDEPATH += $${PWD}/systeminfo
LIBS += $${PWD}/lib/QtSystemInfo1.lib

DEFINES += QWT_DLL

HEADERS  += mainwindow.h \
            plot.h \
            explorer.h \
            data.h \
            thumbnailviewer.h \
            map.h \
            exportdialog.h \
            help.h \
            about.h \
            importhandler.h \

FORMS    += mainwindow.ui \
            exportdialog.ui \
            help.ui \
            about.ui

TRANSLATIONS = languages/English.ts \
                languages/Deutsch.ts \
                languages/Espaol \
                languages/Portugus \
                languages/Franais \
                languages/Italiano \
                languages/Japanese \
                languages/Chinese \
                languages/Russian

RESOURCES += \
    itlogger.qrc

RC_FILE = icon.rc
